Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#3222 closed Enhancement (fixed)

Don't bundle libevent

Reported by: charles Owned by: charles
Priority: Normal Milestone: 2.00
Component: Transmission Version: 1.93
Severity: Normal Keywords:
Cc:

Description

We started bundling libevent a few years ago because we needed a newer version of libevent 1.4 than most distros had. That's not the case anymore; most distros have an up-to-date version of libevent.

In addition, I think many of the bug reports for Transmission on embedded machines are coming from people who've compiled the bundled version of libevent for the wrong backend.

Lastly, unbundling libevent will shrink the tarball size a bit.

Change History (3)

comment:1 Changed 12 years ago by charles

  • Owner set to charles
  • Status changed from new to assigned

Fixed in trunk for 2.00 by r10675

comment:2 Changed 12 years ago by charles

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:3 Changed 12 years ago by Longinus00

Fixed qt build in r10685

Note: See TracTickets for help on using tickets.